<?php
/*
*
* -------------------------------------------------------
* CLASSNAME:        tbl_book_quantity_at_location
* GENERATION DATE:  02.06.2015
* CLASS FILE:       /Applications/MAMP/htdocs/class_generator/generated_classes/class.tbl_book_quantity_at_location.php
* FOR MYSQL TABLE:  tbl_books_quantity_at_location
* FOR MYSQL DB:     svppl
* -------------------------------------------------------
* CODE GENERATED BY:
* MY PHP-MYSQL-CLASS GENERATOR
* from: >> www.voegeli.li >> (download for free!)
* -------------------------------------------------------
*
*/

include_once(MODEL_DIR_PATH."class.database.php");

// **********************
// CLASS DECLARATION
// **********************

class tbl_book_quantity_at_location
{ // class : begin


    // **********************
    // ATTRIBUTE DECLARATION
    // **********************

    var $id;   // (normal Attribute)
    var $book_id;   // (normal Attribute)
    var $location_id;   // (normal Attribute)
    var $book_quantity;   // (normal Attribute)
    var $database; // Instance of class database

    // **********************
    // CONSTRUCTOR METHOD
    // **********************

    function tbl_book_quantity_at_location()
    {
    $this->database = new Database();
    }

    //**********************
    // GETTER METHODS
    // **********************


    function getid()
    {
    return $this->id;
    }

    function getbook_id()
    {
    return $this->book_id;
    }

    function getlocation_id()
    {
    return $this->location_id;
    }

    function getbook_quantity()
    {
    return $this->book_quantity;
    }

    // **********************
    // SETTER METHODS
    // **********************


    function setid($val)
    {
    $this->id =  $val;
    }

    function setbook_id($val)
    {
    $this->book_id =  $val;
    }

    function setlocation_id($val)
    {
    $this->location_id =  $val;
    }

    function setbook_quantity($val)
    {
     $this->book_quantity =  $val;
    }

    // **********************
    // SELECT METHOD / LOAD
    // **********************

    function select($id)
    {
        $sql =  "SELECT * FROM tbl_books_quantity_at_location WHERE  = $id;";
        $result =  $this->database->query($sql);
        $result = $this->database->result;
        $row = mysqli_fetch_object($result);


        $this->id = $row->id;

        $this->book_id = $row->book_id;

        $this->location_id = $row->location_id;

        $this->book_quantity = $row->book_quantity;
    }

    // **********************
    // DELETE
    // **********************

    function delete_location($id)
    {
        $sql = "DELETE FROM tbl_books_quantity_at_location WHERE  book_id=". $id;
        $result = $this->database->query($sql);
    }

    // **********************
    // INSERT
    // **********************

    function insert()
    {
        $sql = "INSERT INTO tbl_books_quantity_at_location (book_id,location_id,book_quantity ) VALUES ('$this->book_id','$this->location_id','$this->book_quantity' )";
      
        $result = $this->database->query($sql);
        return mysqli_insert_id($this->database->link);
    }

    // **********************
    // UPDATE
    // **********************

    function update($id)
    {
        $sql = " UPDATE tbl_books_quantity_at_location SET  id = '$this->id',book_id = '$this->book_id',location_id = '$this->location_id',book_quantity = '$this->book_quantity' WHERE  = $id ";

        $result = $this->database->query($sql);

    }

    // **********************
    // SELECT METHOD / LOAD
    // **********************

    function selectStorageInfo($id)
    {
            $sql =  "SELECT 
                    ts.location_addr,
                    tql.book_quantity,
					tql.location_id
                    
                FROM 
                
                tbl_books_quantity_at_location tql
                
                LEFT JOIN tbl_storage_locations ts ON ts.location_id = tql.location_id
                
                WHERE tql.`book_id`= $id";
        
                $result =  $this->database->query($sql);
                $result = $this->database->result;

                if((!$result) || (mysqli_num_rows($result) == 0))
                {
                        return array();
                }
                else
                {

                    for($count = 0; $row = mysqli_fetch_object($result); $count ++)
                    {
                      $arr[$count]['location']=$row->location_addr;  
                      $arr[$count]['quantity']=$row->book_quantity;  
					  $arr[$count]['location_id']=$row->location_id;
                    }
                        
                    return $arr;
                }        

    }
    

} // class : end

?>
